﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TreeViewProblem
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            List<NavigationMenuItem> MenuItems = new List<NavigationMenuItem>();
            List<NavigationMenuItem> ChildMenuItems = new List<NavigationMenuItem>();
            List<GroupItem> GroupItems = new List<GroupItem>();

            ChildMenuItems.Add(new NavigationMenuItem
            {
                Header="Test1",
                ToolTip="Test1"
            });

            MenuItems.Add(new NavigationMenuItem
            {
                Header = "Test1",
                ToolTip = "Test1",
                NavigationMenuItemChildren = ChildMenuItems
            });

            GroupItems.Add(new GroupItem
            {
                Header = "Group1",
                NavigationMenuItems = MenuItems
            });

            GroupItems.Add(new GroupItem
            {
                Header = "Group 2"
            });

            NavigationMenuItems = GroupItems;
        }

        public List<GroupItem> NavigationMenuItems
        {
            get { return (List<GroupItem>)GetValue(NavigationMenuItemsProperty); }
            set { SetValue(NavigationMenuItemsProperty, value); }
        }

        // Using a DependencyProperty as the backing store for NavigationMenuItems.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty NavigationMenuItemsProperty =
            DependencyProperty.Register("NavigationMenuItems", typeof(List<GroupItem>), typeof(MainWindow), new UIPropertyMetadata(null));
    }

    public class NavigationMenuItem
    {
        public string Header { get; set; }
        public string ToolTip { get; set; }
        public List<NavigationMenuItem> NavigationMenuItemChildren { get; set; }
    }

    public class GroupItem
    {
        public string Header { get; set; }
        public List<NavigationMenuItem> NavigationMenuItems { get; set; }
    }

}
